BizKitHub
DocsAPI ReferenceDrive/bff/drive/upload-start
postDriveAdmin BFF

/bff/drive/upload-start

Chunked upload for big files (up to 10 GB): send partCount parts of partSize bytes to /upload-part, then /upload-complete.

DrivepostBffDriveUpload-start

Parameters

JSON body

Request body

application/json
pathstringOptional
filenamestringRequired
Length: 1–255
sizenumberRequired
Range: 1–∞
conflict"keepBoth" | "replace"Optional

Response schema

1 status code documented

200Success
uploadSessionIdstringRequired
partSizenumberRequired
partCountnumberRequired

Response example

application/json
{
  "uploadSessionId": "example_uploadSessionId",
  "partSize": 0,
  "partCount": 0
}

Request example

POST /bff/drive/upload-start

post
curl -X POST "https://api.bizkithub.com/bff/drive/upload-start" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "path": "example_path",
  "filename": "example_filename",
  "size": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key